@ECHO OFF
CLS
ECHO 
ECHO This batch file installs the registered TheDraw version 4.61 for you.
ECHO It should only be run with this diskette in drive A.
ECHO 
IF "%1"=="floppy" GOTO FLOPPY
IF "%1"=="Floppy" GOTO FLOPPY
IF "%1"=="FLOPPY" GOTO FLOPPY
IF "%1"=="hd" GOTO HD
IF "%1"=="Hd" GOTO HD
IF "%1"=="HD" GOTO HD

:HELP
ECHO Please indicate if to expand files to diskettes or hard disk.
ECHO 
ECHO   For diskettes type:      INSTALL FLOPPY
ECHO   For a hard drive type:   INSTALL HD
ECHO 
ECHO Press [ENTER] after the command. Additional instructions appear depending
ECHO on which installation was selected.
GOTO END

:FLOPPY
ECHO Floppy diskette installation:
ECHO 
ECHO You will need three blank formatted diskettes.  If you do not have the
ECHO diskettes ready, please press CTRL-C at the prompt and prepare them now.
ECHO 
ECHO Otherwise, insert disk [1] into drive B now.
ECHO 
ECHO Single drive users, leave the TheDraw diskette in drive A until prompted
ECHO to swap diskettes as required.
ECHO 
PAUSE
CLS
ECHO Extracting TheDraw, Setup and Font Utilities, plus Example files...
B:
A:\THEARJ A:\TDRAW461 THEDRAW.EXE
A:\TDREG
DEL THEDRAW.EXE >NUL
A:\THEARJ A:\REGUTILS THEDRAWR.HLP
A:\THEARJ A:\TDRAW461 SETUP.* TDFONTS.* *.ANS *.TD *.BIN
A:
ECHO 
ECHO Insert disk [2] now...
PAUSE
CLS
ECHO Extracting Utilities and Programming Example Files...
B:
A:\THEARJ A:\REGUTILS BAUDSIM.EXE THEPP.EXE
A:\THEARJ A:\TDRAW461 THEGRAB.EXE WHATSNEW.DOC FILE.LST FILE_ID.DIZ UNCR*.* QB4UTIL.* MAKEQLB.BAT
A:
ECHO 
ECHO Insert disk [3] now...
PAUSE
CLS
ECHO Extracting Documentation and Print Utility...
B:
A:\THEARJ A:\TDRAW461 THEDRAW.DOC PRINTDOC.EXE
A:
CLS
ECHO Done!
ECHO 
ECHO Disk [1] contains the registered version of TheDraw, setup and font utilities,
ECHO plus associated files.  To run TheDraw, insert disk and type:
ECHO 
ECHO     THEDRAWR [enter]
ECHO 
ECHO 
ECHO Disk [2] contains the various utility programs, secondary document files,
ECHO programming example code, and uncrunch routines.
ECHO 
ECHO Disk [3] contains the main documentation for TheDraw v4.61.  To print the
ECHO documentation, insert disk and type:
ECHO 
ECHO     PRINTDOC [enter]
ECHO 
GOTO END

:HD
SET TDDRIVE=%2
IF "%2"=="" SET TDDRIVE=C

ECHO Hard Drive Installation:
ECHO 
ECHO You will need about 950k of free space on your hard drive.  If there is not
ECHO enough free space available, please press CTRL-C now and prepare some.
ECHO 
ECHO Otherwise, press any key to create the subdirectory %TDDRIVE%:\THEDRAW, expand
ECHO the setup utility, documentation, support files, and install the
ECHO registered program version.
ECHO 
PAUSE
CLS
ECHO 
IF EXIST %TDDRIVE%:\THEDRAW\*.* GOTO DIREXIST >NUL

ECHO Creating sub-directory \THEDRAW on Hard Drive %TDDRIVE%.
ECHO 
MD %TDDRIVE%:\THEDRAW >NUL
COPY A:\INSTALL.BAT %TDDRIVE%:\THEDRAW\TEMP$$$.$$$ >NUL
IF NOT EXIST %TDDRIVE%:\THEDRAW\TEMP$$$.$$$ GOTO HDERROR >NUL
GOTO HDPROCEED

:DIREXIST
ECHO Sub-directory \THEDRAW already exists on Hard Drive %TDDRIVE%.
ECHO 
:HDPROCEED
CD %TDDRIVE%:\THEDRAW >NUL
IF EXIST %TDDRIVE%:TEMP$$$.$$$ DEL %TDDRIVE%:TEMP$$$.$$$ >NUL

ECHO Expanding files...
ECHO 
%TDDRIVE%:
A:\THEARJ A:\TDRAW461
A:\THEARJ A:\REGUTILS
A:\TDREG
ECHO Done!
ECHO 
ECHO Use the program PRINTDOC.EXE to print the documentation for TheDraw.  Enjoy!
ECHO 
GOTO END

:HDERROR
ECHO 
ECHO Sorry, unable to create the subdirectory \THEDRAW on drive %TDDRIVE%.
ECHO 

:END

